"""auto

Revision ID: 7c86a8c2898a
Revises: fcb70127069c
Create Date: 2021-04-05 01:05:12.724856

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "7c86a8c2898a"
down_revision = "fcb70127069c"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "game",
        sa.Column("id", sa.Integer(), autoincrement=True, nullable=False),
        sa.Column("game_uuid", sa.String(length=100), nullable=True),
        sa.Column(
            "status",
            sa.Enum("IN_PROGRESS", "FINISHED", name="gamestatustype"),
            nullable=False,
        ),
        sa.Column(
            "winner",
            sa.Enum("COMPUTE", "USER", "TIE", name="gamewinnertype"),
            nullable=True,
        ),
        sa.Column("user_id", sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(
            ["user_id"],
            ["user.id"],
        ),
        sa.PrimaryKeyConstraint("id"),
        sa.UniqueConstraint("game_uuid"),
    )
    op.create_index(op.f("ix_game_status"), "game", ["status"], unique=False)
    op.create_index(op.f("ix_game_user_id"), "game", ["user_id"], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_game_user_id"), table_name="game")
    op.drop_index(op.f("ix_game_status"), table_name="game")
    op.drop_table("game")
    # ### end Alembic commands ###
